export function getBaseFields(readonly: any): {
    name: string;
    label: string;
    type: string;
    labelClassName: string;
    className: string;
    tpl: string;
}[];
export function getAmisFieldType(sField: any): "url" | "image" | "password" | "select" | "date" | "datetime" | "number" | "text" | "email" | "checkbox" | "html" | "textarea" | "table" | "picker" | "markdown" | "steedos-input-table";
export function getObjectFieldSubFields(mainField: any, fields: any): any;
export function getGridFieldSubFields(mainField: any, fields: any): any;
export function getTabledFieldSubFields(mainField: any, fields: any): any;
/**
 * TODO 处理权限
 * @param {*} object steedos object
 * @param {*} userSession
 */
export function getPermissionFields(object: any, userSession: any): any[];
export function getSelectFieldOptions(field: any): any[];
export function convertSFieldToAmisField(field: any, readonly: any, ctx: any): Promise<any>;
export function getFieldSearchable(perField: any, permissionFields: any, ctx: any): Promise<any>;
export function isFieldTypeSearchable(fieldType: any): boolean;
export function isFieldQuickSearchable(field: any, nameFieldKey: any): boolean;
export const QUICK_SEARCHABLE_FIELD_TYPES: string[];
export const OMIT_FIELDS: string[];
export { getAmisStaticFieldType } from "./type";
